Bug 1250712 - kernel panic when booting a LiveUsb created with liveusb-creator
kernel panic when booting a LiveUsb created with liveusb-creator
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 15:35 EDT by Giulio 'juliuxpigface'
Modified: 2016-09-19 22:47 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:22:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel panic (39.70 KB, image/png)
2015-08-05 15:35 EDT, Giulio 'juliuxpigface'
no flags Details

  None (edit)
Description Giulio 'juliuxpigface' 2015-08-05 15:35:28 EDT
Created attachment 1059624 [details]
kernel panic

Description of problem:
I can't boot a LiveUsb with Fedora 23 Alpha RC1. I encounter a kernel panic.

Version-Release number of selected component (if applicable):
liveusb-creator-3.14.2-1.fc22.noarch

How reproducible:
I haven't tried to reproduce it yet.

Steps to Reproduce:
1. Pick a stick, In my case, it had got a working live of Fedora 23 TC (created with live-iso-to-disk).
2. Run 'liveusb-creator --reset-mbr' as root.
3. Select the ISO "Fedora-Live-KDE-x86_64-23_Alpha-1.iso"
4. Don't set persistence, use the "dd" method.
6. Create the LiveUsb.
7. Try to boot the new system on a qemu-kvm guest.

Actual results:
1. I encounter the kernel panic (screenshot attached).

Expected results:
1. The live image should boot.
Comment 1 Giulio 'juliuxpigface' 2015-08-05 15:37:30 EDT
Sorry. It actually was "Fedora-Live-KDE-i686-23_Alpha-1.iso" and not "Fedora-Live-KDE-x86_64-23_Alpha-1.iso". I don't know if this detail should be valuable, though.
Comment 2 Fedora Blocker Bugs Application 2015-08-05 16:03:24 EDT
Proposed as a Freeze Exception for 23-alpha by Fedora user juliuxpigface using the blocker tracking app because:

 The criteria "2.2.1 Release-blocking images must boot" (https://fedoraproject.org/wiki/Fedora_23_Alpha_Release_Criteria#Release-blocking_images_must_boot) links a wiki page, which lists the officially supported methods for creating a LiveUsb.

I understand that live-usb-creator is one of those (https://fedoraproject.org/wiki/How_to_create_and_use_Live_USB#Using_liveusb-creator_.28Windows_and_Fedora.2C_graphical.2C_non-destructive.29).
Comment 3 Adam Williamson 2015-08-05 17:07:04 EDT
booting a USB stick attached to a VM isn't a very common case. Did you try booting it with an actual metal system?
Comment 4 Giulio 'juliuxpigface' 2015-08-05 17:22:06 EDT
(In reply to Adam Williamson from comment #3)
> booting a USB stick attached to a VM isn't a very common case. Did you try
> booting it with an actual metal system?

I've just tried on bare metal with the same stick. I confirm the issue: the behaviour is the same (with the addition of blinking caps lock key).
Comment 5 Adam Williamson 2015-08-05 17:49:11 EDT
I wrote the x86_64 Workstation live with luc from Fedora 22 the same way you did, and that boots fine for me. I'll try with some i686 images in a bit.
Comment 6 Giulio 'juliuxpigface' 2015-08-06 14:43:36 EDT
I did some testing:
1. Recreated the partitioning table for the stick I was using while encountering this bug.
2. Wrote Fedora-Live-LXDE-x86_64-23_Alpha-2.iso on the stick (dd method)
3. Tried to boot; everything went fine.
4. Wrote Fedora-Live-LXDE-x86_64-23_Alpha-2.iso on the same stick (dd method)
5. Tried to boot again; everything went fine again.

So... I'm starting to think I reported this bug too early, maybe I've somehow been just unlucky and the bug isn't reproducible at all. Or... Perhaps there are some race conditions which I need to discover.

The following might be one of these:
(In reply to  Giulio 'juliuxpigface' from description)
> Steps to Reproduce:
> 1. Pick a stick, In my case, it had got a working live of Fedora 23 TC (created > with live-iso-to-disk).

Adam, have you tried to create your LiveUsb with live-iso-to-disk before using live-usb-creator?
Comment 7 Adam Williamson 2015-08-06 14:58:13 EDT
The stick I used would've had an image written with 'dd' on it previously.
Comment 8 Giulio 'juliuxpigface' 2015-08-06 15:57:28 EDT
Ok, it seems that my guess was right. I've reproduced it.

The steps are these. On a Fedora 22 x86_64 host:

1. # livecd-iso-to-disk --format --reset-mbr Fedora-Live-LXDE-x86_64-23_Alpha-2.iso /dev/sdX
2. Verify that LXDE boots normally.
3. # liveusb-creator --reset-mbr
4. Select "Fedora-Live-KDE-i686-23_Alpha-2.iso" and "dd" method.
5. Kernel panic (as described above) while booting KDE.

So, live-usb-creator fails if the desired stick contains a Live previously created with livecd-iso-to-disk.

But... Now I'm not sure if we should flag this as  "Freeze Exception", since it's more like a corner case.
Comment 9 satellitgo 2015-08-06 17:24:28 EDT
this happens with any dd USB that was previously written do to the iso CD format on USB this can fixed in gparted by writing a new MBR on the USB.
Comment 10 Adam Williamson 2015-08-07 18:11:36 EDT
No point having this proposed as an Alpha FE now Alpha has been approved.
Comment 11 Martin Bříza 2015-08-17 06:30:49 EDT
So does this happen only if you use dd from liveusb-creator or does it even when you copy the image with dd directly from commandline?
(Along the lines of dd if=/path/to/iso of=/dev/sdX)
Comment 12 Giulio 'juliuxpigface' 2015-08-21 14:22:53 EDT
(In reply to Martin Bříza from comment #11)
> So does this happen only if you use dd from liveusb-creator or does it even
> when you copy the image with dd directly from commandline?
> (Along the lines of dd if=/path/to/iso of=/dev/sdX)

Sorry for the late response.

I confirm it happens only from liveusb-creator.

Running 'dd' directly, works as expected.
Choosing it as method for liveusb-creator, causes the issue. Though 'dd' might not be relevant, to be honest I haven't tried the 'cp' one yet.
Comment 13 Giulio 'juliuxpigface' 2015-10-17 03:37:23 EDT
(In reply to Martin Bříza from comment #11)
> So does this happen only if you use dd from liveusb-creator or does it even
> when you copy the image with dd directly from commandline?
> (Along the lines of dd if=/path/to/iso of=/dev/sdX)

This morning I've encountered this using 'dd' directly. It was a Live previously created with livecd-iso-to-disk.

But, as per comment #12 and comment #5, this bug isn't always reproducible.

As a side note, this time I've written a i686 image (Fedora-Live-MATE_Compiz-i686-23-TC11.iso) and the stick contained a previous i686 before this last try.

It's always from Fedora 22, but a new try from Fedora 23 (with the latest updates applied) would be interesting, I guess.
Comment 14 Adam Williamson 2015-10-17 03:38:52 EDT
The issue is far far more likely to be between the image and the system than it is in the writing process. 'dd' is very, very simple and quite unlikely to behave differently between 22 and 23.
Comment 15 Fedora Blocker Bugs Application 2015-10-17 03:46:10 EDT
Proposed as a Blocker and Freeze Exception for 23-beta by Fedora user juliuxpigface using the blocker tracking app because:

 Sorry, I've somehow forgotten about this one, even if it was first discovered with Alpha. Anyway...

 The criteria "2.2.1 Release-blocking images must boot" (https://fedoraproject.org/wiki/Fedora_23_Alpha_Release_Criteria#Release-blocking_images_must_boot) links a wiki page, which lists the officially supported methods for creating a LiveUsb.

I understand that live-usb-creator is one of those (https://fedoraproject.org/wiki/How_to_create_and_use_Live_USB#Using_liveusb-creator_.28Windows_and_Fedora.2C_graphical.2C_non-destructive.29)

Well, actually this is more like a corner case. I'd probably not block on this and prefer to mark it as "FE" (and list it in common bugs). But it would be nice if we we can get more testing and more discussion about this.
Comment 16 Andre Robatino 2015-10-17 07:29:05 EDT
Changing to FinalBlocker and FinalFreezeException per https://lists.fedoraproject.org/pipermail/test/2015-October/128188.html . (You don't need to use the blocker tracking app to propose a blocker, you can just enter the "Blocks:" field, if you belong to the fedorabugs group, and it appears you already do).
Comment 17 Adam Williamson 2015-10-19 15:45:57 EDT
Discussed at 2015-10-19 blocker review meeting: https://meetbot.fedoraproject.org/fedora-blocker-review/2015-10-19/f23-blocker-review.2015-10-19-16.00.html .

It seems there are two somewhat different cases being discussed here. jpigface seems to have issues sometimes after a dd write to a stick that has previously had a Fedora image on it. This would be something new and unexpected. However, no-one else seems to be seeing that - multiple people in the meeting said they hadn't seen such a problem.

satellit seems to be just reporting something that's already fairly well known: liveusb-creator isn't always the best at wiping existing partition tables, particularly the complex hybridized ones that dd and livecd-iso-to-disk --efi write. This is a pain but it's known and not new, and the reason why luc is recommended less strongly than dd or litd on the docs page.

Overall we felt there isn't enough of a clearly demonstrated, commonly-encountered problem here to block on, so the bug was rejected as a blocker.

This could be re-proposed as blocker or FE if a specific, reliable reproducer is identified.
Comment 18 Fedora End Of Life 2016-07-19 13:22:31 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.